import electric.registry.Registry;


public class wsconso{
    public static void main (String [] a) throws Exception {
	System.out.println("-*-*-*-*-*-*-*-*-*-*-*-* Consommation de WebService en Java *-*-*-*-*-*-*-*-*-*-*-*-");
	
	IAlKryptWSSoap ws = AlKryptWSHelper.bind();

	System.out.println(ws.Bonjour("tout le monde"));
	
	//La version retournant un String lve des erreurs suivant la chaine  crypter
	//on prfrerait donc celle rendant un char[]

	System.out.println("On code : bonjour, comment a va ?");
	String code = ws.Crypter ("bonjour, comment a va ?", "azerty");
	System.out.println("On reoit : " + ws.Decrypter (code, "azerty"));
	
	/*
	  //LEVE UNE ERREUR A CAUSE DU CODAGE DES STRING (et mme avec le client .NET !! -> utilit des char[])
	code = ws.Crypter ("bonjour tout le monde", "azerty");
	System.out.println(ws.Decrypter (code, "azerty"));
	*/
	/*
	  //mais voil, celle utilisant des char[] N'EST pas supporte par GLUE
	  //il y a encore du boulot ...
	  char[] code = ws.CrypterCA ("bonjour, comment a va ?", "azerty");
	  System.out.println(ws.DecrypterCA (code, "azerty"));
	  
	  code = ws.CrypterCA ("bonjour tout le monde", "azerty");
	  System.out.println(ws.DecrypterCA (code, "azerty"));
	*/
    }
}
